# Commands in /vis/viewer/set/

## /vis/viewer/set/

Set view parameters of current viewer.

## Sub-directories :

## Commands :

all [from-viewer-name]

  Copies view parameters.
  Copies view parameters (except the autoRefresh status) from from-viewer to current viewer.

  Available at all Geant4 states.

  Parameters

  from-viewer-name | type s |  |

autoRefresh [auto-refresh]

  Sets auto-refresh.
  If true, view is automatically refreshed after a change of view parameters.

  Available at all Geant4 states.

  Parameters

  auto-refresh | type b | Omittable : default value = 0 |

auxiliaryEdge [edge]

  Sets visibility of auxiliary edges
  Auxiliary edges, i.e., those that are part of a curved surface, sometimes called soft edges, become visible/invisible.

  Available at all Geant4 states.

  Parameters

  edge | type b | Omittable : default value = 0 |

culling [culling-option] [action] [density-threshold] [unit]

  Set culling options.
  "global": enables/disables all other culling options.
  "coveredDaughters": culls, i.e., eliminates, volumes that would not be seen because covered by ancester volumes in surface drawing mode, and then only if the ancesters are visible and opaque, and then only if no sections or cutaways are in operation. Intended solely to improve the speed of rendering visible volumes.
  "invisible": culls objects with the invisible attribute set.
  "density": culls volumes with density lower than threshold. Useful for eliminating "container volumes" with no physical correspondence, whose material is usually air. If this is selected, provide threshold density and unit (g/cm3 mg/cm3 or kg/m3).

  Available at all Geant4 states.

  Parameters

  culling-option | type s |  | Parameter candidates : global coveredDaughters invisible density
  action | type b | Omittable : default value = true |
  density-threshold | type d | Omittable : default value = 0.01 |
  unit | type s | Omittable : default value = g/cm3 | Parameter candidates : g/cm3, mg/cm3 kg/m3

edge [edge]

  default: true
  Edges become visible/invisible in surface mode.

  Available at all Geant4 states.

  Parameters

  edge | type b | Omittable : default value = 1 |

globalMarkerScale [scale-factorr]

  Multiplies marker sizes by this factor.

  Available at all Geant4 states.

  Parameters

  scale-factorr | type d | Omittable : default value = 1 |

hiddenEdge [hidden-edge]

  Edges become hidden/seen in wireframe or surface mode.

  Available at all Geant4 states.

  Parameters

  hidden-edge | type b | Omittable : default value = 1 |

hiddenMarker [hidden-marker]

  If true, closer objects hide markers. Otherwise, markers always show.

  Available at all Geant4 states.

  Parameters

  hidden-marker | type b | Omittable : default value = 1 |

lightsMove [lightsMove]

  Lights move with camera or with object

  Available at all Geant4 states.

  Parameters

  lightsMove | type s |  | Parameter candidates : cam camera with-camera obj object with-object

lightsThetaPhi [theta] [phi] [unit]

  Set direction from target to lights.

  Available at all Geant4 states.

  Parameters

  theta | type d | Omittable : default value = 60 |
  phi | type d | Omittable : default value = 45 |
  unit | type s | Omittable : default value = deg |

lightsVector [x] [y] [z]

  Set direction from target to lights.

  Available at all Geant4 states.

  Parameters

  x | type d | Omittable : default value = 1 |
  y | type d | Omittable : default value = 1 |
  z | type d | Omittable : default value = 1 |

lineSegmentsPerCircle [line-segments]

  Set number of sides per circle for polygon/polyhedron drawing.
  Refers to graphical representation of objects with curved lines/surfaces.

  Available at all Geant4 states.

  Parameters

  line-segments | type i | Omittable : default value = 24 |

projection [projection] [field-half-angle] [unit]

  Orthogonal or perspective projection.

  Available at all Geant4 states.

  Parameters

  projection | type s | Omittable : default value = orthogonal | Parameter candidates : o orthogonal p perspective
  field-half-angle | type d | Omittable : default value = 30 |
  unit | type s | Omittable : default value = deg |

sectionPlane [Selector] [x] [y] [z] [unit] [nx] [ny] [nz]

  Set plane for drawing section (DCUT).
  E.g., for a y-z plane at x = 1 cm: "/vis/viewer/set/sectionPlane on 1 0 0 cm 1 0 0". To turn off: /vis/viewer/set/sectionPlane off

  Available at all Geant4 states.

  Parameters

  Selector | type c | Omittable : default value = on |
  x | type d | Omittable : default value = 0 |
  y | type d | Omittable : default value = 0 |
  z | type d | Omittable : default value = 0 |
  unit | type s | Omittable : default value = cm |
  nx | type d | Omittable : default value = 1 |
  ny | type d | Omittable : default value = 0 |
  nz | type d | Omittable : default value = 0 |

style [style]

  Set style of drawing.
  (Hidden line drawing is controlled by "/vis/viewer/set/hiddenEdge".)

  Available at all Geant4 states.

  Parameters

  style | type s |  | Parameter candidates : w wireframe s surface

upThetaPhi [theta] [phi] [unit]

  Set up vector.
  Viewer will attempt always to show this direction upwards.

  Available at all Geant4 states.

  Parameters

  theta | type d | Omittable : default value = 90 |
  phi | type d | Omittable : default value = 90 |
  unit | type s | Omittable : default value = deg |

upVector [x] [y] [z]

  Set up vector.
  Viewer will attempt always to show this direction upwards.

  Available at all Geant4 states.

  Parameters

  x | type d | Omittable : default value = 0 |
  y | type d | Omittable : default value = 1 |
  z | type d | Omittable : default value = 0 |

viewpointThetaPhi [theta] [phi] [unit]

  Set direction from target to camera.
  Also changes lightpoint direction if lights are set to move with camera.

  Available at all Geant4 states.

  Parameters

  theta | type d | Omittable : default value = 60 |
  phi | type d | Omittable : default value = 45 |
  unit | type s | Omittable : default value = deg |

viewpointVector [x] [y] [z]

  Set direction from target to camera.
  Also changes lightpoint direction if lights are set to move with camera.

  Available at all Geant4 states.

  Parameters

  x | type d | Omittable : default value = 1 |
  y | type d | Omittable : default value = 1 |
  z | type d | Omittable : default value = 1 |